<?php
/**
 * @package     CSVI
 * @subpackage  Customfilters
 *
 * @author      RolandD Cyber Produksi <contact@rolandd.com>
 * @copyright   Copyright (C) 2006 - @year@ RolandD Cyber Produksi. All rights reserved.
 * @license     GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 * @link        https://rolandd.com
 */

use Joomla\Database\DatabaseDriver;

defined('_JEXEC') or die;

/**
 * Customfilters maintenance.
 *
 * @package     CSVI
 * @subpackage  Customfilters
 * @since       7.0
 */
#[AllowDynamicProperties]
class Com_CustomfiltersMaintenance
{
	/**
	 * Database connector
	 *
	 * @var    DatabaseDriver
	 * @since  7.0
	 */
	private $db = null;

	/**
	 * Logger helper
	 *
	 * @var    CsviHelperLog
	 * @since  7.0
	 */
	private $log = null;

	/**
	 * CSVI Helper.
	 *
	 * @var    CsviHelperCsvi
	 * @since  7.0
	 */
	private $csvihelper = null;

	/**
	 * Set if we are running in CLI
	 *
	 * @var    bool
	 * @since  7.2.0
	 */
	private $isCli = false;

	/**
	 * Constructor.
	 *
	 * @param   DatabaseDriver   $db          The database class
	 * @param   CsviHelperLog    $log         The CSVI logger
	 * @param   CsviHelperCsvi   $csvihelper  The CSVI helper
	 * @param   bool             $isCli       Set if we are running CLI mode
	 *
	 * @since   7.0
	 */
	public function __construct($db, CsviHelperLog $log, CsviHelperCsvi $csvihelper, bool $isCli = false)
	{
		$this->db         = $db;
		$this->log        = $log;
		$this->csvihelper = $csvihelper;
		$this->isCli      = $isCli;
	}

	/**
	 * Threshold available fields for extension
	 *
	 * @return  int Hardcoded available fields
	 *
	 * @since   7.0
	 */
	public function availableFieldsThresholdLimit()
	{
		return 17;
	}
}
